###################
# BUILDCONFIG     #
###################
- name: 'Create build config'
  k8s:
    definition:
      kind: BuildConfig
      apiVersion: build.openshift.io/v1
      metadata:
        name: drupal-builder
        namespace: '{{ namespace }}'
        labels:
          app: d8-infra
        name: drupal-builder
      spec:
        completionDeadlineSeconds: 1200
        successfulBuildsHistoryLimit: 2
        failedBuildsHistoryLimit: 2    
        output:
          to:
            kind: ImageStreamTag
            name: drupal-builder:latest
        postCommit: {}
        resources:
          limits:
            cpu: '1'
            memory: 1Gi
          requests:
            cpu: 500m
            memory: 640Mi
        # As per https://docs.openshift.com/container-platform/latest/dev_guide/builds/build_run_policy.html#build-serial-latest-only-run-policy
        runPolicy: SerialLatestOnly
        source:
          git:
            ref: master
            uri: ssh://git@gitlab.cern.ch:7999/drupal8-community/{{ namespace }}.git
          sourceSecret:
            name: sshdeploykey
          type: Git
        strategy:
          type: Source
          sourceStrategy:
            from:
              kind: ImageStreamTag
              name: gitlab-drupal-builder:latest
            forcePull: true
        triggers:
        - type: ConfigChange
        - type: ImageChange
          imageChange: {}